D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

UseCaseDescriptors Resource

POST /ucd

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
Request Body
media type data type
application/json UseCaseDescriptor (JSON)
Response Body
media type data type description
application/json UseCaseDescriptor (JSON)

Example

Request
POST /srv/ucd
Content-Type: application/json
Accept: application/json
Authorization: ...

                
{
  "_name" : "...",
  "_mongoId" : {
    "processIdentifier" : 12345,
    "machineIdentifier" : 12345,
    "generatedMachineIdentifier" : 12345,
    "counter" : 12345,
    "generatedProcessIdentifier" : 12345,
    "currentCounter" : 12345,
    "date" : 12345,
    "timestamp" : 12345
  },
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "NPM",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_schema" : {
    "property1" : { },
    "property2" : { }
  },
  "_dataAccessPolicies" : [ {
    "_roles" : [ "...", "..." ],
    "_policy" : {
      "_read" : "none",
      "_write" : "own"
    },
    "_enforcer" : {
      "_filter" : "..."
    }
  }, {
    "_roles" : [ "...", "..." ],
    "_policy" : {
      "_read" : "any",
      "_write" : "own"
    },
    "_enforcer" : {
      "_filter" : "..."
    }
  } ],
  "_description" : "...",
  "_creationInfo" : {
    "_user" : {
      "_username" : "...",
      "roles" : [ "...", "..." ]
    },
    "_instant" : "...",
    "_context" : {
      "_id" : "...",
      "_name" : "..."
    }
  },
  "_handlers" : [ {
    "_configuration" : {
      "property1" : { },
      "property2" : { }
    },
    "_id" : "...",
    "_type" : "..."
  }, {
    "_configuration" : {
      "property1" : { },
      "property2" : { }
    },
    "_id" : "...",
    "_type" : "..."
  } ],
  "_relationshipDefinitions" : [ {
    "_reverseRelationId" : "...",
    "_id" : "...",
    "_label" : "..."
  }, {
    "_reverseRelationId" : "...",
    "_id" : "...",
    "_label" : "..."
  } ],
  "_id" : "..."
}
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{
  "_name" : "...",
  "_mongoId" : {
    "processIdentifier" : 12345,
    "machineIdentifier" : 12345,
    "generatedMachineIdentifier" : 12345,
    "counter" : 12345,
    "generatedProcessIdentifier" : 12345,
    "currentCounter" : 12345,
    "date" : 12345,
    "timestamp" : 12345
  },
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "COCOAPODS",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_schema" : {
    "property1" : { },
    "property2" : { }
  },
  "_dataAccessPolicies" : [ {
    "_roles" : [ "...", "..." ],
    "_policy" : {
      "_read" : "any",
      "_write" : "own"
    },
    "_enforcer" : {
      "_filter" : "..."
    }
  }, {
    "_roles" : [ "...", "..." ],
    "_policy" : {
      "_read" : "any",
      "_write" : "any"
    },
    "_enforcer" : {
      "_filter" : "..."
    }
  } ],
  "_description" : "...",
  "_creationInfo" : {
    "_user" : {
      "_username" : "...",
      "roles" : [ "...", "..." ]
    },
    "_instant" : "...",
    "_context" : {
      "_id" : "...",
      "_name" : "..."
    }
  },
  "_handlers" : [ {
    "_configuration" : {
      "property1" : { },
      "property2" : { }
    },
    "_id" : "...",
    "_type" : "..."
  }, {
    "_configuration" : {
      "property1" : { },
      "property2" : { }
    },
    "_id" : "...",
    "_type" : "..."
  } ],
  "_relationshipDefinitions" : [ {
    "_reverseRelationId" : "...",
    "_id" : "...",
    "_label" : "..."
  }, {
    "_reverseRelationId" : "...",
    "_id" : "...",
    "_label" : "..."
  } ],
  "_id" : "..."
}
                
              

POST /ucd/query

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json Iterable (JSON)

Example

Request
POST /srv/ucd/query
Content-Type: application/json
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 201 Created
Content-Type: application/json

                
{ }
                
              

DELETE /ucd/{usecase_id}

Request Parameters
name type description default constraints
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources    
Content-Type header application/json    
usecase_id path    
force query false boolean
Response Body
media type data type description
application/json boolean (JSON)

Example

Request
DELETE /srv/ucd/{usecase_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
...
                
              

GET /ucd/{usecase_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path
Response Body
media type data type description
application/json UseCaseDescriptor (JSON)

Example

Request
GET /srv/ucd/{usecase_id}
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "_name" : "...",
  "_mongoId" : {
    "processIdentifier" : 12345,
    "machineIdentifier" : 12345,
    "generatedMachineIdentifier" : 12345,
    "counter" : 12345,
    "generatedProcessIdentifier" : 12345,
    "currentCounter" : 12345,
    "date" : 12345,
    "timestamp" : 12345
  },
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "IVY",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_schema" : {
    "property1" : { },
    "property2" : { }
  },
  "_dataAccessPolicies" : [ {
    "_roles" : [ "...", "..." ],
    "_policy" : {
      "_read" : "own",
      "_write" : "none"
    },
    "_enforcer" : {
      "_filter" : "..."
    }
  }, {
    "_roles" : [ "...", "..." ],
    "_policy" : {
      "_read" : "none",
      "_write" : "any"
    },
    "_enforcer" : {
      "_filter" : "..."
    }
  } ],
  "_description" : "...",
  "_creationInfo" : {
    "_user" : {
      "_username" : "...",
      "roles" : [ "...", "..." ]
    },
    "_instant" : "...",
    "_context" : {
      "_id" : "...",
      "_name" : "..."
    }
  },
  "_handlers" : [ {
    "_configuration" : {
      "property1" : { },
      "property2" : { }
    },
    "_id" : "...",
    "_type" : "..."
  }, {
    "_configuration" : {
      "property1" : { },
      "property2" : { }
    },
    "_id" : "...",
    "_type" : "..."
  } ],
  "_relationshipDefinitions" : [ {
    "_reverseRelationId" : "...",
    "_id" : "...",
    "_label" : "..."
  }, {
    "_reverseRelationId" : "...",
    "_id" : "...",
    "_label" : "..."
  } ],
  "_id" : "..."
}
                
              

PUT /ucd/{usecase_id}

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
Content-Type header application/json
usecase_id path
Request Body
media type data type
application/json UseCaseDescriptor (JSON)
Response Body
media type data type description
application/json UseCaseDescriptor (JSON)

Example

Request
PUT /srv/ucd/{usecase_id}
Content-Type: application/json
Accept: application/json
Authorization: ...

                
{
  "_name" : "...",
  "_mongoId" : {
    "processIdentifier" : 12345,
    "machineIdentifier" : 12345,
    "generatedMachineIdentifier" : 12345,
    "counter" : 12345,
    "generatedProcessIdentifier" : 12345,
    "currentCounter" : 12345,
    "date" : 12345,
    "timestamp" : 12345
  },
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "IVY",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_schema" : {
    "property1" : { },
    "property2" : { }
  },
  "_dataAccessPolicies" : [ {
    "_roles" : [ "...", "..." ],
    "_policy" : {
      "_read" : "own",
      "_write" : "own"
    },
    "_enforcer" : {
      "_filter" : "..."
    }
  }, {
    "_roles" : [ "...", "..." ],
    "_policy" : {
      "_read" : "own",
      "_write" : "none"
    },
    "_enforcer" : {
      "_filter" : "..."
    }
  } ],
  "_description" : "...",
  "_creationInfo" : {
    "_user" : {
      "_username" : "...",
      "roles" : [ "...", "..." ]
    },
    "_instant" : "...",
    "_context" : {
      "_id" : "...",
      "_name" : "..."
    }
  },
  "_handlers" : [ {
    "_configuration" : {
      "property1" : { },
      "property2" : { }
    },
    "_id" : "...",
    "_type" : "..."
  }, {
    "_configuration" : {
      "property1" : { },
      "property2" : { }
    },
    "_id" : "...",
    "_type" : "..."
  } ],
  "_relationshipDefinitions" : [ {
    "_reverseRelationId" : "...",
    "_id" : "...",
    "_label" : "..."
  }, {
    "_reverseRelationId" : "...",
    "_id" : "...",
    "_label" : "..."
  } ],
  "_id" : "..."
}
                
              
Response
HTTP/1.1 204 No Content
Content-Type: application/json

                
{
  "_name" : "...",
  "_mongoId" : {
    "processIdentifier" : 12345,
    "machineIdentifier" : 12345,
    "generatedMachineIdentifier" : 12345,
    "counter" : 12345,
    "generatedProcessIdentifier" : 12345,
    "currentCounter" : 12345,
    "date" : 12345,
    "timestamp" : 12345
  },
  "_version" : {
    "originalValue" : "...",
    "suffixTokens" : [ "...", "..." ],
    "type" : "IVY",
    "build" : "...",
    "stable" : true,
    "minor" : 12345,
    "patch" : 12345,
    "major" : 12345,
    "value" : "..."
  },
  "_schema" : {
    "property1" : { },
    "property2" : { }
  },
  "_dataAccessPolicies" : [ {
    "_roles" : [ "...", "..." ],
    "_policy" : {
      "_read" : "own",
      "_write" : "any"
    },
    "_enforcer" : {
      "_filter" : "..."
    }
  }, {
    "_roles" : [ "...", "..." ],
    "_policy" : {
      "_read" : "any",
      "_write" : "none"
    },
    "_enforcer" : {
      "_filter" : "..."
    }
  } ],
  "_description" : "...",
  "_creationInfo" : {
    "_user" : {
      "_username" : "...",
      "roles" : [ "...", "..." ]
    },
    "_instant" : "...",
    "_context" : {
      "_id" : "...",
      "_name" : "..."
    }
  },
  "_handlers" : [ {
    "_configuration" : {
      "property1" : { },
      "property2" : { }
    },
    "_id" : "...",
    "_type" : "..."
  }, {
    "_configuration" : {
      "property1" : { },
      "property2" : { }
    },
    "_id" : "...",
    "_type" : "..."
  } ],
  "_relationshipDefinitions" : [ {
    "_reverseRelationId" : "...",
    "_id" : "...",
    "_label" : "..."
  }, {
    "_reverseRelationId" : "...",
    "_id" : "...",
    "_label" : "..."
  } ],
  "_id" : "..."
}